Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000575Core InformScenespublic2011-02-20 09:092014-05-07 07:35
ReporterJim Aikin 
Assigned Tograham 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000575: Scene Ending Logic Not Compiling
DescriptionA given scene can be ended by any of several logic tests (truth states, the presence of things in locations, etc.). A scene can also be ended by having another scene begin. However, if the latter method is employed, no other method can be employed.
Minimal Source Text To Reproduce
The Farm is a room. An apple is here.

No-more-howard is a truth state that varies. No-more-howard is false.

Howard is a scene. Howard begins when play begins. Howard ends when Fred begins or no-more-howard is 

Fred is a scene. Fred begins when the player carries the apple.
Additional InformationThe compiler erroneously complains that the scene-beginning logic makes no sense. In the example code given here, the compiler says, "'Fred begins' did not make sense." But if I comment out "or no-more-howard is true", "Fred begins" will compile.

If I replace "Fred begins" with some other non-scene-sequence-specific condition, I can put multiple conditions on Howard's end.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
EmacsUser (manager)
2011-02-27 19:19

Confirmed, but only when the conditions are in the same sentence; the source text with

- - - -
Howard is a scene. Howard begins when play begins. Howard ends when Fred begins. Howard ends when no-more-howard is true.
- - - -

works as expected.
graham (administrator)
2014-01-19 14:13

Inform is behaving correctly here, but issuing an unhelpful problem message. This has been improved.

- Issue History
Date Modified Username Field Change
2011-02-20 09:09 Jim Aikin New Issue
2011-02-24 20:38 jmcgrew Severity mild => serious
2011-02-24 20:38 jmcgrew Status new => acknowledged
2011-02-27 19:19 EmacsUser Note Added: 0001056
2011-02-27 19:19 EmacsUser Status acknowledged => confirmed
2014-01-19 14:13 graham Note Added: 0002334
2014-01-19 14:13 graham Status confirmed => resolved
2014-01-19 14:13 graham Resolution open => fixed
2014-01-19 14:13 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:35 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker